*, *::before, *::after {
  box-sizing: border-box;
}

* {
  padding: 0;
  margin: 0;
  font: inherit;
}

:root {
  /* Colors */
  --bgcol: #f8f8f8;
  --bgcoltrnsp: #f8f8f8e0;
  --textshdw: #f8f8f83a;
  --textcol: #191919;
  --linkcol: #b9b9b9;
  --banner: rgb(231, 208, 133);
  /* Fontsizes */
  
}

@font-face {
  font-family: 'Adelphe' ;
  src: url(fonts/Adelphe-FlorealRegular.woff) format('woff'),
       url(fonts/Adelphe-FlorealRegular.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Adelphe' ;
  src: url(fonts/Adelphe-FlorealItalic.woff) format('woff'),
       url(fonts/Adelphe-FlorealItalic.ttf) format('truetype');
  font-weight: normal;
  font-style: italic;
}

html {
  scroll-behavior: smooth;
  min-height: 100dvh;
}

img {
  max-width: 100%;
  max-height: 90dvh;
  font-style: italic;
  vertical-align: middle;
}

ul {
  list-style: none;
}

a {
  color: var(--textcol);
}

a:hover, a:focus-visible {
  color: var(--linkcol);
  text-decoration: none;
}

a:focus-visible {
  outline: 1px solid var(--linkcol);
  border-radius: 2px;
}

p {
  max-width: 90ch;
  font-variant-numeric: oldstyle-nums ;
}


body {
  color: var(--textcol);
  background-color: var(--bgcol);
  font-family: 'Adelphe';
  font-size: .75rem;
  line-height: .875rem;
}

.container {
  max-width: 1080px;
  padding-inline: 16px; 
  margin-inline: auto;
}

.italic {
  font-style: italic;
}

/* ----------HEADER----------- */

.header {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-block: 8px 3rem;
  position: sticky;
  top: 0;
  font-size: 1.375rem;
  line-height: 1;
  z-index: 100;
  background: linear-gradient(
    var(--bgcol) 0%,
    var(--bgcoltrnsp) 50%,
    transparent 100%
  );
  transition: background-image 600ms ease;
}


/* .header::before {
  display: block;
  content: "";

  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: var(--bgcol);
  transform: scaleY(0);
  transition: transform 600ms ease;
}

.header:hover .header::before {
  transform: scaleY(1);
  
} */

.nav_list {
  display: flex;
  text-shadow: 0 0 8px var(--bgcol);
}

.nav_list li a {
  text-decoration: none;
  /* text-shadow: 0 0 8px var(--bgcol); */
  display: inline-block;
  padding: 4px 8px;
}

.you_are_here {
  font-style: italic;
}


.filter-wrapper {
  width: 100%;
}

.filter {
  position: absolute;
  top: 0;
  backdrop-filter: blur(1px);
  height: 80px;
  width: 100%;
  z-index: -10;
}

/* ------GALLERY-------- */




.gallery {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4rem;
}

.gallery_item {
  max-width: 100%;
}

.announcement {
  background-color: var(--banner);
  font-size: 1rem;
  font-style: italic;
  padding: 8px 8px;
}

.item_img {
  margin-bottom: .25rem;
}

.item_info {
  display: flex;
  justify-content: space-between;
}

.item_title > h2, .small_title {
  font-size: .875rem;
  font-style: italic;
} 

.item_text {
  text-align: right;
}

.audio_wrapper {
  width: 100%; 
  display: flex;
  justify-content: end;
}

.audio_link {
  font-size: .875rem;
  display: inline;
  padding-bottom: 8px;
}

.audio_link::before {
  content: '+';
  text-decoration: none;
}


/* TRIPTYCHON */

.triptych {
  width: 100%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.triptych_item {
  width: 32.2%;
}
@media screen and (max-width: 800px) {
  .triptych {
    flex-direction: column;
  }
  .triptych_item {
    width: 100%;
  }
}


/* --------CAROUSEL---------- */

.carousel {
  max-width: 100%;
  position: relative;
}


/* CarouselButtons */

.carousel_button {
  all: unset;
  height: 50%;
  width: 20%;
  font-weight: bold;
  font-size: 2rem;
  padding-inline: 2rem;
  position: absolute;
  opacity: .25;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  transition: opacity 300ms ease;  
  z-index: 100;
}

.carousel_button:hover, 
.carousel_button:focus-visible {
  opacity: 1;
}

.carousel_button:focus-visible {
  border: 1px solid black;
}

.carousel_button:disabled {
  display: none;
}

#btn_left {
  left: 0;
  text-align: left;
  border-radius: 0 16px 16px 0;
}

#btn_right {
  right: 0;
  text-align: right;
  border-radius: 16px 0 0 16px;
}


/* CarouselSlides */

.slides {
  display: flex;
  gap: 1rem;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
  -webkit-scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  scrollbar-width: none;
}

.slides::-webkit-scrollbar {
  display: none;
}

.slide {
  flex-shrink: 0;
  scroll-snap-align: start;
  -webkit-transform: translateZ(0); 
  -moz-transform: translateZ(0); 
}

.slide:last-of-type {
  scroll-snap-align: end;
}

.slide > .item_img > img {
  max-height: 80dvh;
}

@media screen and (width < 600px) {
  .slides {
    scroll-snap-type: none;
  }
  .slide {
    scroll-snap-align: none;
  }
  .carousel_button {
    display: none;
  }
}

/* INFO ABOUT */

/* --------Info Nav------ */

.info_nav {
  margin-top: .5rem;
}

.info_nav_list {
  display: flex;
  font-size: clamp(.95rem, 2vw, 1rem);
  flex-wrap: wrap;
  column-gap: 1rem;
  justify-content: center;
}

.info_nav_list li a {
  display: inline-block;
  padding: 4px 8px;
  text-shadow: 
  0 0 2px var(--bgcol),
  0 0 4px var(--bgcol),
  
  ;
}

.main_about section {
  scroll-margin-top: 6rem;
}

@media screen and (max-width: 500px) {
  .main_about section {
  scroll-margin-top: 8rem;
}
}


.about_container {
  display: flex;
  gap: 1rem;
}

.main_about section {
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
  gap:.5rem ;
}


.cv_grid {
  display: grid;
  grid-template-columns: 50px 1fr;
  column-gap: 2rem;
  row-gap: .25rem;
  margin-bottom: 1rem;
}

.imprint_grid {
  display: grid;
  grid-template-columns: 50px 1fr;
  column-gap: 2rem; 
  row-gap: .5rem;
}

.grid_date p {
  font-variant-numeric: tabular-nums;
}

article > h3 {
  font-style: italic;
}

article {
  margin-bottom: .5rem;
}

.fabi__logo {
  height: .875rem;
  display: inline-block;
  vertical-align: text-top;
  
}

/* FOOTER */

footer {
  min-height: 150px;
}